Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226164 - Merge Review: mtr
Summary: Merge Review: mtr
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:43 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-23 12:25:53 UTC
dan: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:43:40 UTC
Fedora Merge Review: mtr

http://cvs.fedora.redhat.com/viewcvs/devel/mtr/
Initial Owner: mmaslano@redhat.com

Comment 1 Dan Horák 2007-02-16 12:11:15 UTC
Formal review is here:

OK	source files match upstream:
	    b742c46797ba23000e149c99127580d541ed44a69b5bbc44323211665c95e02a 
mtr-0.71.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	license field matches the actual license.
OK	license is open source-compatible. License text included in package.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (i386).
OK	debuginfo package looks complete.
OK	final provides and requires look sane:
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.

MUST FIX:

BAD	build root is correct.
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BAD	latest version is NOT being packaged.
	    version 0.72 is available

BAD	rpmlint is NOT silent.

I: mtr-gtk checking
W: mtr-gtk summary-ended-with-dot The GTK+ interface for mtr.
E: mtr-gtk file-in-usr-marked-as-conffile /usr/share/applications/net-xmtr.desktop
W: mtr-gtk conffile-without-noreplace-flag /usr/share/applications/net-xmtr.desktop
	do not mark it as a config file

W: mtr-gtk non-conffile-in-etc /etc/pam.d/xmtr
W: mtr-gtk non-conffile-in-etc /etc/security/console.apps/xmtr

I: mtr checking
W: mtr summary-ended-with-dot A network diagnostic tool.

I: mtr (src.rpm) checking
W: mtr summary-ended-with-dot A network diagnostic tool.
W: mtr mixed-use-of-spaces-and-tabs (spaces: line 327, tab: line 5)


BAD 	is a GUI app
	    contains a desktop file, but is not correctly handled
(http://fedoraproject.org/wiki/Packaging/Guidelines#head-254ddf07aae20a23ced8cecc219d8f73926e9755)
	    you could create a new SourceX file and use desktop-file-install
	    the Category: X-Red-Hat-Base should be removed

Also the CVS repo contains some patches for previous versions that are not used
now. Please "cvs remove" them.


Comment 2 Marcela Mašláňová 2007-03-08 15:31:16 UTC
Thank for review. Fixed.

Comment 3 Dan Horák 2007-03-14 18:20:50 UTC
Looks good, APPROVED

Comment 4 Marcela Mašláňová 2007-04-03 13:44:35 UTC
The bug has to be reassigned to you, when it's approved.


Note You need to log in before you can comment on or make changes to this bug.